import template from './sw-cms-el-bc-service-element.html.twig';
import './sw-cms-el-bc-service-element.scss';

Shopware.Component.register('sw-cms-el-bc-service-element', {
    template,

    mixins: [
        Shopware.Mixin.getByName('cms-element'),
        Shopware.Mixin.getByName('placeholder')
    ],
    created() {
        this.createdComponent();
    },

    methods: {
        createdComponent() {
            this.initElementConfig('bc-service-element');
            this.initElementData('bc-service-element');
        }
    },
    computed: {
        assetFilter() {
            return Shopware.Filter.getByName('asset');
        },
    }
});